This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 485617 - Review Request: pygrace - Python bindings for grace
Review Request: pygrace - Python bindings for grace
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: José Matos
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-15 06:18 EST by Susi Lehtola
Modified: 2009-04-07 14:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-07 14:05:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jamatos: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Susi Lehtola 2009-02-15 06:18:15 EST
Spec URL: http://theory.physics.helsinki.fi/~jzlehtol/rpms/pygrace.spec
SRPM URL: http://theory.physics.helsinki.fi/~jzlehtol/rpms/pygrace-0.3-1.fc10.src.rpm
Description: Python bindings for grace, based on Nathan Gray's gracePlot.

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1128032

rpmlint output:
pygrace.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/pygrace/grace_np.py 0644
pygrace.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/pygrace/__init__.py 0644
pygrace.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/pygrace/pygrace.py 0644
2 packages and 0 specfiles checked; 3 errors, 0 warnings.
Comment 1 Susi Lehtola 2009-02-15 16:27:27 EST
The website refers to ARCS software homepage for license information. The tarfile contains no license, I asked upstream to add it in and clarify the license the software is under. The reply:

"The license is here:
  http://dev.danse.us/trac/common/wiki/license
and it's basically a BSD license, with a clause at
the end that _encourages_ those who use packages
developed in the DANSE project to credit us in
their work."
Comment 2 José Matos 2009-02-16 13:47:04 EST
I will take care of the review.
Comment 3 Joseph Smidt 2009-02-16 21:51:41 EST
Just a quick comment.  I agree with your licensing statement above, but the only license in the source code is GPLv2 found in grace_np.py.
Comment 4 Joseph Smidt 2009-02-16 22:38:11 EST
I believe this package looks pretty good.  I just have one comment.

[?] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.

	I do not see any license in the source other than GPLv2 mentioned in grace_np.py.  This is at odds with Upstream's website.  Please contact upstream to clear this up.

[x] The package must be named according to the  Package Naming Guidelines
[x] The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption
[x] The package must meet the  Packaging Guidelines .
[x] The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines.
[x?] The License field in the package spec file must match the actual license.
(I am confused what the actual liscense should be since only GPLv2 is represented in the source code, but website claim matches .spec)
[x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[x] The spec file must be written in American English.
[x] The spec file for the package MUST be legible.
[x] The sources used to build the package must match the upstream source, as provided in the spec URL.
[x] If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[x] All build dependencies must be listed in BuildRequires.
[x] The spec file MUST handle locales properly. 
[x] Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 
[x] If the package is designed to be relocatable,
[x] A package must own all directories that it creates.
[x] A package must not contain any duplicate files in the %files listing. 
[x] Permissions on files must be set properly. 
(rpmlint complains, but I belive 0644 are correct for python modules in %{python_sitelib})
[x] Each package must have a %clean section, which contains rm -rf %{buildroot}
[x] Each package must consistently use macros. 
[x] The package must contain code, or permissable content.
[x] Large documentation files must go in a -doc subpackage.
[x] If a package includes something as %doc, it must not affect the runtime of the application.
[x] Header files must be in a -devel package.
[x] Static libraries must be in a -static package.
[x] Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
[x] If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[x] In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: 
[x] Packages must NOT contain any .la libtool archives,
[x] Packages containing GUI applications must include a %{name}.desktop file, 
[x] Packages must not own files or directories already owned by other packages.
[x] At the beginning of %install, each package MUST run rm -rf %{buildroot}

[x] The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[x] The reviewer should test that the package builds in mock.
[x] The package should compile and build into binary rpms on all supported architectures.
[x] If scriptlets are used, those scriptlets must be sane.
[x] Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[x] The placement of pkgconfig(.pc) files depends on their usecase,
[x] If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
Comment 5 Susi Lehtola 2009-02-16 23:58:15 EST
(In reply to comment #3)
> Just a quick comment.  I agree with your licensing statement above, but the
> only license in the source code is GPLv2 found in grace_np.py.

Good catch. The package has a double license, then.

Spec: http://theory.physics.helsinki.fi/~jzlehtol/rpms/pygrace.spec
SRPM: http://theory.physics.helsinki.fi/~jzlehtol/rpms/pygrace-0.3-2.fc10.src.rpm
Comment 6 Joseph Smidt 2009-02-17 23:01:29 EST
Well, as far as I can tell this package looks good.  I believe all of the Musts and Shoulds are checked off.
Comment 7 José Matos 2009-02-18 07:53:16 EST
First, You have done a nice job. :-)

One tiny question, why did you exclude examples from the %doc section?
Comment 8 Susi Lehtola 2009-02-18 09:54:51 EST
(In reply to comment #7)
> First, You have done a nice job. :-)
> 
> One tiny question, why did you exclude examples from the %doc section?

Missed it. :)

Spec: http://theory.physics.helsinki.fi/~jzlehtol/rpms/pygrace.spec
SRPM:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/pygrace-0.3-3.fc10.src.rpm

rpmlint output:
pygrace.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/pygrace/grace_np.py 0644
pygrace.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/pygrace/__init__.py 0644
pygrace.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/pygrace/pygrace.py 0644
2 packages and 0 specfiles checked; 3 errors, 0 warnings.
Comment 9 José Matos 2009-02-18 11:28:21 EST
OK, APPROVED.
Comment 10 Susi Lehtola 2009-02-18 12:27:11 EST
New Package CVS Request
=======================
Package Name: pygrace
Short Description: Python bindings for grace
Owners: jussilehtola
Branches: F-9 F-10 EL-4 EL-5
InitialCC:
Comment 11 Kevin Fenzi 2009-02-18 14:21:57 EST
cvs done.
Comment 12 Susi Lehtola 2009-04-07 14:05:04 EDT
Hmm, it seems I forgot to put the bug number in the update manager.

The package has been in Fedora a long time, closing.

Note You need to log in before you can comment on or make changes to this bug.